# DSDIFF

DSDIFF audio stream information and tags.

class mutagen.dsdiff.DSDIFF(filething)

  Bases: `FileType`

  An DSDIFF audio file.

  For tagging ID3v2 data is added to a chunk with the ID “ID3 “.

  Parameters:

    filething (filething)

  tags
    Type:

      `mutagen.id3.ID3`

  info
    Type:

      `DSDIFFInfo`

  add_tags()

    Add empty ID3 tags to the file.

  static score(filename, fileobj, header)

    Returns a score for how likely the file can be parsed by this type.

    Parameters:

      - filename (fspath) – a file path

      - fileobj (fileobj) – a file object open in rb mode. Position is undefined

      - header (bytes) – data of undefined length, starts with the start of the file.

    Returns:

      negative if definitely not a matching type, otherwise a score,

        the bigger the more certain that the file can be loaded.

    Return type:

      int

class mutagen.dsdiff.DSDIFFInfo(fileobj)

  DSDIFF stream information.

  channels

    number of audio channels

    Type:

      `int`

  length

    file length in seconds, as a float

    Type:

      `float`

  sample_rate

    audio sampling rate in Hz

    Type:

      `int`

  bits_per_sample

    audio sample size (for DSD this is always 1)

    Type:

      `int`

  bitrate

    audio bitrate, in bits per second

    Type:

      `int`

  compression

    DSD (uncompressed) or DST

    Type:

      `str`

  pprint()
    Returns:

      Print stream information

    Return type:

      text